from models import db
from peewee import *


class TgAppCenter(Model):
    id = AutoField()  # 对应表中的 `id` 字段，自增主键
    phone = CharField(max_length=255, null=True)  # 对应表中的 `phone` 字段，允许为空
    fraction = CharField(max_length=255, null=True)  # 对应表中的 `fraction` 字段，允许为空
    user_data = CharField(max_length=255, null=True)  # 对应表中的 `user_data` 字段，允许为空
    url = CharField(max_length=255, null=True)  # 对应表中的 `url` 字段，允许为空
    code = CharField(max_length=255, null=True)  # 对应表中的 `url` 字段，允许为空
    num = IntegerField(null=True)  # 对应表中的 `num` 字段，允许为空

    class Meta:
        database = db  # 指定数据库
        table_name = 'tg_app_center'  # 指定表名


if __name__ == '__main__':
    TgAppCenter.create_table()
